Package org.codehaus.groovy.util

# Class FloatArrayIterable

java.lang.Object
org.codehaus.groovy.util.FloatArrayIterable

All Implemented Interfaces:
  `Iterable<Float>`

public class FloatArrayIterable extends Object implements Iterable<Float>
Allows a primitive float array to be used where an Iterable is expected.

Since:
  5.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FloatArrayIterable(float[] array)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<Float>`
  `iterator()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### FloatArrayIterable

    public FloatArrayIterable(float[] array)

- ## Method Details

  - ### iterator

    public Iterator<Float> iterator()
    Specified by:
      `iterator` in interface `Iterable<Float>`